Threads
Concurrency
Collaboration diagram for Threads:

## Functions

bool | operator== (thread::id __x, thread::id __y) noexcept
void | swap (thread &__x, thread &__y) noexcept
bool | operator!= (thread::id __x, thread::id __y) noexcept
bool | operator< (thread::id __x, thread::id __y) noexcept
bool | operator<= (thread::id __x, thread::id __y) noexcept
bool | operator> (thread::id __x, thread::id __y) noexcept
bool | operator>= (thread::id __x, thread::id __y) noexcept
template<class _CharT , class _Traits >
basic_ostream< _CharT, _Traits > & | operator<< (basic_ostream< _CharT, _Traits > &__out, thread::id __id)

## Detailed Description

Since
  C++11

Classes for thread support.